import os
from typing import List


def validate_filenames(filenames: List[str]) -> List[str]:
    """
    validate a list of filenames for file abundance
    :param filenames: list of possible filenames
    :type filenames: List[str]
    :return: list of valid filenames
    :rtype: List[str]
    """
    return [fn for fn in filenames if os.path.isfile(fn)]